import 'package:dart_icalendar/dart_icalendar.dart';

void main() {
  final event1 = Event(
    uid: '1',
    summary: 'Event 1',
    description: 'This is the first event',
    startDate: DateTime(2023, 4, 23, 14, 0),
    endDate: DateTime(2023, 4, 23, 15, 0),
  );

  final event2 = Event(
    uid: '2',
    summary: 'Event 2',
    description: 'This is the second event',
    startDate: DateTime(2023, 4, 24, 14, 0),
    endDate: DateTime(2023, 4, 24, 15, 0),
  );

  final ical =
      ICalendar(prodId: 'Dart iCalendar Example', events: [event1, event2]);

  print(ical.toICalString());
}
